## org.apache.poi.ss.formula.functions
Class NumericFunction.TwoArg

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed2ArgFunction
          org.apache.poi.ss.formula.functions.NumericFunction.TwoArg

All Implemented Interfaces:
  Function, Function2Arg

Enclosing class:
  NumericFunction

    public abstract static class NumericFunction.TwoArg

extends Fixed2ArgFunction

Constructor Summary
`protected` `NumericFunction.TwoArg()`

Method Summary
`protected abstract double` `evaluate(double d0, double d1)`
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed2ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericFunction.TwoArg

    protected NumericFunction.TwoArg()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1)

  Description copied from interface: `Function2Arg`
  see `Function.evaluate(ValueEval[], int, int)`

### evaluate

    protected abstract double evaluate(double d0,
                                       double d1)
                                throws EvaluationException

  Throws:
    `EvaluationException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.